//
//  Week2_SuperSimpleAppAppDelegate.m
//  Week2_SuperSimpleApp
//
//  Created by Jason Fieldman on 1/19/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "Week2_SuperSimpleAppAppDelegate.h"

@implementation Week2_SuperSimpleAppAppDelegate

@synthesize window;


- (void)applicationDidFinishLaunching:(UIApplication *)application {    
	
	/* Remember: addSubView performs an implicit retain on the UIView argument.  So we can autorelease our UIViews */
	
	/* Initialize myTextField and add it to the window */
	myTextField = [[[UITextField alloc] initWithFrame:CGRectMake(20, 40, 280, 30)] autorelease];
	myTextField.borderStyle = UITextBorderStyleBezel;
	myTextField.placeholder = @"<Place Holder>";
	myTextField.delegate = self;
	[window addSubview:myTextField];
	
	/* Initialize myLabel and add it to the window */
	myLabel = [[[UILabel alloc] initWithFrame:CGRectMake(20, 90, 280, 30)] autorelease];
	myLabel.text = @"Waiting...";
	[window addSubview:myLabel];
	
    // Override point for customization after application launch
    [window makeKeyAndVisible];
}


- (BOOL)textFieldShouldReturn:(UITextField *)textField {
	myLabel.text = myTextField.text;
	[myTextField resignFirstResponder];
	return YES;
}


- (void)dealloc {
    [window release];
    [super dealloc];
}


@end
